Qt 5.6 | Qt Widgets | C++ Classes | QTapGesture

Qt 5.6.2 Reference Documentation

# QTapGesture Class

The QTapGesture class describes a tap gesture made by the user. More...

Header: | #include <QTapGesture>
qmake: | QT += widgets
Since: | Qt 4.6
Inherits: | QGesture

- List of all members, including inherited members

## Properties

- position : QPointF

- 5 properties inherited from QGesture

## Public Functions

| ~QTapGesture()
QPointF | position() const
void | setPosition(const QPointF &pos)

- 8 public functions inherited from QGesture

## Detailed Description

The QTapGesture class describes a tap gesture made by the user.

For an overview of gesture handling in Qt and information on using gestures in your applications, see the Gestures in Widgets and Graphics View document.

See also QPanGesture and QPinchGesture.

## Property Documentation

### position : QPointF

This property holds the position of the tap.

Access functions:

QPointF | position() const
void | setPosition(const QPointF &pos)

## Member Function Documentation

### QTapGesture::~QTapGesture()

Destructor.